### Name: partialAssociations
### Title: Show partial associations
### Aliases: partialAssociations
### Keywords: methods multivariate

### ** Examples

library(CoCo);
data(HairEyeColor);
CoCoObject <- makeCoCo();
enterTable(HairEyeColor, object = CoCoObject);

partialAssociations(":Hair:Eye", object = CoCoObject);
partialAssociations(":Hair", ":Eye", object = CoCoObject);
partialAssociations(":Hair", ":Eye", ":Sex", object = CoCoObject);

endCoCo(object = CoCoObject);

# - - - - -  - - - - -  - - - - -  - - - - -  - - - - -  - - - - -  - - - - - #

library(CoCo);
data(Reinis);
CoCoObject <- makeCoCo();
enterTable(Reinis, object = CoCoObject);
partialAssociations("AB", object = CoCoObject);

setOrdinal("AB", object = CoCoObject);
partialAssociations("AB", object = CoCoObject);

# Get Fisher's EXACT test when the total count of the sub table
# is less than 1000:

partialAssociations("A", "B", "F", object = CoCoObject);

endCoCo(object = CoCoObject);




