### Name: returnEdges
### Title: Return the indices of vertices of edges
### Aliases: returnEdges
### Keywords: methods multivariate

### ** Examples


library(CoCoCg);

# Without "data" require ending the CoCo object:

# returnEdges("ab,xy", data = "From.input", continuous = "xy");
# endCoCo();

# With CoCo object:

data(Rats);
CoCoObject <- makeCoCoCg();
enterDataFrame(Rats, object = CoCoObject);

Base <- makeModel(enterModel("[[ab]] / [[ay][ax][bx]] / [[xy]]",
                              object = CoCoObject));

Current <- makeModel(enterModel("[[a][b]] / [[ay][ax][bx]] / [[xy]]",
                              object = CoCoObject));

showModel("all");

returnEdges(object = CoCoObject);

returnEdges("base",    object = CoCoObject); # Does not work ?!?
returnEdges(Base,      object = CoCoObject);
returnEdges(1,         object = CoCoObject);
returnEdges("current", object = CoCoObject);
returnEdges(Current,   object = CoCoObject);
returnEdges(4,         object = CoCoObject);
returnEdges("last",    object = CoCoObject);
returnEdges(8,         object = CoCoObject); # ?!?: Should return NULL!!!

returnEdges("ab",      object = CoCoObject);
returnEdges("xy",      object = CoCoObject);
returnEdges("axy",     object = CoCoObject);

backward(recursive = TRUE, headlong = TRUE, coherent = TRUE, follow = TRUE, 
         fix.edges = "xy", object = CoCoObject);

# .fix.edges("xy", object = CoCoObject);

returnEdges(object = CoCoObject);

returnEdges(fix = "all",             object = CoCoObject);
returnEdges(fix = "fix.edges",       object = CoCoObject);
returnEdges(fix = "non.fix.edges",   object = CoCoObject);

returnEdges(edges = "all",           object = CoCoObject);
returnEdges(edges = "in.model",      object = CoCoObject);
returnEdges(edges = "not.in.model",  object = CoCoObject);

returnEdges(edges = "all",          fix = "all",           object = CoCoObject);
returnEdges(edges = "in.model",     fix = "all",           object = CoCoObject);
returnEdges(edges = "not.in.model", fix = "all",           object = CoCoObject);

returnEdges(edges = "all",          fix = "fix.edges",     object = CoCoObject);
returnEdges(edges = "in.model",     fix = "fix.edges",     object = CoCoObject);
returnEdges(edges = "not.in.model", fix = "fix.edges",     object = CoCoObject);

returnEdges(edges = "all",          fix = "non.fix.edges", object = CoCoObject);
returnEdges(edges = "in.model",     fix = "non.fix.edges", object = CoCoObject);
returnEdges(edges = "not.in.model", fix = "non.fix.edges", object = CoCoObject);

endCoCo(object = CoCoObject);




